curl --request POST \
--url https://network.{region}.basaltic.sh/v1/security-groups/{security_group_id}/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Allow inbound HTTPS",
"ethertype": "ipv4",
"port_min": 443,
"port_max": 443,
"remote_cidr": "0.0.0.0/0",
"source_security_group": "d1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f"
}
'import requests
url = "https://network.{region}.basaltic.sh/v1/security-groups/{security_group_id}/rules"
payload = {
"description": "Allow inbound HTTPS",
"ethertype": "ipv4",
"port_min": 443,
"port_max": 443,
"remote_cidr": "0.0.0.0/0",
"source_security_group": "d1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Allow inbound HTTPS',
ethertype: 'ipv4',
port_min: 443,
port_max: 443,
remote_cidr: '0.0.0.0/0',
source_security_group: 'd1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f'
})
};
fetch('https://network.{region}.basaltic.sh/v1/security-groups/{security_group_id}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"security_group_id": "d1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f",
"direction": "ingress",
"ethertype": "ipv4",
"protocol": "tcp",
"created_at": "2023-11-07T05:31:56Z",
"description": "Allow inbound HTTPS",
"port_min": 443,
"port_max": 443,
"remote_cidr": "0.0.0.0/0",
"source_security_group_id": "d1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Crear regla de grupo de seguridad
Agrega una regla de permiso con estado al grupo de seguridad. Cuando varios grupos de seguridad se aplican a una interfaz, sus reglas de permiso se unen.
network:CreateSecurityGroupRule. Consulte permisos de redes para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Encabezados
Clave opcional generada por el cliente que hace que una creación sea segura para la reproducción. Al volver a intentar una solicitud con la misma clave, se devuelve el resultado original literalmente en lugar de crear un recurso duplicado. Se rechaza la reutilización de una clave con un cuerpo de solicitud diferente (422); una solicitud cuya clave todavía se está procesando devuelve 409. Los registros se mantienen durante 24 horas. Usa un UUID o un token único similar.
255Parámetros de ruta
ID de grupo de seguridad
Cuerpo
ingress, egress tcp, udp, icmp, all "Allow inbound HTTPS"
ipv4, ipv6 0 <= x <= 65535443
0 <= x <= 65535443
"0.0.0.0/0"
UUID del grupo de seguridad, CRN o nombre exacto del ámbito de la cuenta. Mutuamente exclusivo con remote_cidr.
"d1b6f3a8-4c2e-4a9d-8f7b-1e5c3a2d9b4f"
Respuesta
Regla creada
Show child attributes
Show child attributes

